Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.exchange
Class SessionInfo

    java.lang.Object
      com.compoze.exchange.SessionInfo

All Implemented Interfaces:
  java.io.Serializable

public class SessionInfo
extends java.lang.Object
implements java.io.Serializable

This class contains the methods used for session manipulation.

See Also:
  Serialized Form

Method Summary
`AddressEntry` | `serverGetAddressEntry(PropertyKey[] keys)` Gets the `AddressEntry` associated with the session.
`int` | `serverGetMaxAttachmentSize()` Gets the maximum attachment size for the server.
`PropertyValue` | `serverGetOption(PropertyKey option)` Gets an option from the server.
`ExchangeTimeZone` | `serverGetTimeZone()` Gets the time zone for the user.
`void` | `serverSetOption(PropertyValue value)` Sets a server option.
`void` | `serverSetTimeZone(ExchangeTimeZone tz)` Sets the time zone for the session.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### serverGetOption

    public PropertyValue serverGetOption(PropertyKey option)
                                  throws ExchangeException

  Gets an option from the server. The property key specified must be one of the following:
  - `PropertyKey.SESSION_OPTION_BUSINESS_DAY_END_TIME`
  - `PropertyKey.SESSION_OPTION_BUSINESS_DAY_START_TIME`
  - `PropertyKey.SESSION_OPTION_CALENDAR_STORE`
  - `PropertyKey.SESSION_OPTION_FIRST_DAY_OF_WEEK`
  - `PropertyKey.SESSION_OPTION_IS_24_HOUR_CLOCK`
  - `PropertyKey.SESSION_OPTION_TIME_ZONE`
  - `PropertyKey.SESSION_OPTION_WORKING_DAYS`
  - `PropertyKey.SESSION_OPTION_EXCHANGE55`

  Parameters:
    `option` - the property key
  Throws:
    `ExchangeException`

### serverSetOption

    public void serverSetOption(PropertyValue value)
                         throws ExchangeException

  Sets a server option. The key specified for the property value must be one of the following:
  - `PropertyKey.SESSION_OPTION_BUSINESS_DAY_END_TIME`
  - `PropertyKey.SESSION_OPTION_BUSINESS_DAY_START_TIME`
  - `PropertyKey.SESSION_OPTION_CALENDAR_STORE`
  - `PropertyKey.SESSION_OPTION_FIRST_DAY_OF_WEEK`
  - `PropertyKey.SESSION_OPTION_IS_24_HOUR_CLOCK`
  - `PropertyKey.SESSION_OPTION_TIME_ZONE`
  - `PropertyKey.SESSION_OPTION_WORKING_DAYS`

  Parameters:
    `value` - the property value
  Throws:
    `ExchangeException` - if a problem occurred while connecting to or interacting with Exchange

### serverSetTimeZone

    public void serverSetTimeZone(ExchangeTimeZone tz)
                           throws ExchangeException

  Sets the time zone for the session. If the user has never set their time zone, the time zone of the Compoze Exchange Service machine is used as the default.

  Parameters:
    `tz` - the time zone to set for the user
  Throws:
    `ExchangeException` - if a problem occurred while connecting to or interacting with Exchange

### serverGetTimeZone

    public ExchangeTimeZone serverGetTimeZone()
                                       throws ExchangeException

  Gets the time zone for the user. If the user has never set their time zone, the time zone of the Compoze Exchange Service machine is used as the default.

  Returns:
    the user time zone
  Throws:
    `ExchangeException` - if a problem occurred while connecting to or interacting with Exchange
  See Also:
    `(ExchangeTimeZone)`

### serverGetMaxAttachmentSize

    public int serverGetMaxAttachmentSize()
                                   throws ExchangeException

  Gets the maximum attachment size for the server. For the SOAP protocol, this value is an estimate based on the maximum POST size less a conservative amount (4k) for message data. This method is most applicable when attaching files, but is applicable to any data sent to the server.

  Returns:
    the maximum size of an attachment (in bytes)
  Throws:
    `ExchangeException` - if a problem occurred while connecting to or interacting with Exchange

### serverGetAddressEntry

    public AddressEntry serverGetAddressEntry(PropertyKey[] keys)
                                       throws ExchangeException

  Gets the `AddressEntry` associated with the session.

  Parameters:
    `keys` - the property keys to fetch
  Returns:
    The address entry, or `null` if the current session information could not be fetched.
  Throws:
    `ExchangeException` - if a problem occurred while connecting to or interacting with Exchange

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.